Package org.springframework.cglib.core

# Class ClassInfo

java.lang.Object
org.springframework.cglib.core.ClassInfo

public abstract class ClassInfo extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ClassInfo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`abstract Type[]`
`getInterfaces()`
`abstract int`
`getModifiers()`
`abstract Type`
`getSuperType()`
`abstract Type`
`getType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassInfo

protected ClassInfo()

## Method Details

### getType

public abstract Type getType()

### getSuperType

public abstract Type getSuperType()

### getInterfaces

public abstract Type[] getInterfaces()

### getModifiers

public abstract int getModifiers()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`